org.apache.hadoop.yarn.api.records

## Enum ExecutionType

- java.lang.Object
- - java.lang.Enum<ExecutionType>
  - - org.apache.hadoop.yarn.api.records.ExecutionType

- All Implemented Interfaces:
    Serializable, Comparable<ExecutionType>

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public enum ExecutionType
      extends Enum<ExecutionType>

  Container property encoding execution semantics.

  The execution types are the following:

  - `GUARANTEED` - this container is guaranteed to start its execution, once the corresponding start container request is received by an NM.
  - `OPPORTUNISTIC` - the execution of this container may not start immediately at the NM that receives the corresponding start container request (depending on the NM's available resources). Moreover, it may be preempted if it blocks a GUARANTEED container from being executed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GUARANTEED`
    `OPPORTUNISTIC`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExecutionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExecutionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GUARANTEED

          public static final ExecutionType GUARANTEED

    - #### OPPORTUNISTIC

          public static final ExecutionType OPPORTUNISTIC

  - ### Method Detail

    - #### values

          public static ExecutionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExecutionType c : ExecutionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExecutionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.